## ros-noetic-moveit-resources-prbt-support 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_resources_prbt_support)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

#############
## Install ##
#############

## Install URDF and meshes
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-moveit-resources-prbt-support (0.8.2-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 17 Nov 2021 23:00:00 -0000

ros-noetic-moveit-resources-prbt-support (0.8.1-1buster) buster; urgency=high

  * Drop all test code
  * Contributors: Michael Görner, Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-resources-prbt-support (0.8.0-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 27 Apr 2021 22:00:00 -0000

ros-noetic-moveit-resources-prbt-support (0.7.2-1buster) buster; urgency=high

  * Migrate to GitHub Actions (#57 <https://github.com/ros-planning/moveit_resources/issues/57>)
  * Fix formatting issues
  * Adding PRBT config (#43 <https://github.com/ros-planning/moveit_resources/issues/43>)
  * Contributors: Christian Henkel, Joachim Schleicher, Robert Haschke, Tyler Weaver
  * initial commit from upstream PilzDE/pilz_robots version 0.5.19 (2020-09-07)

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 25 Mar 2021 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-moveit-resources-prbt-support
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-resources-prbt-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-xacro
Description: Mechanical, kinematic and visual description of the Pilz light weight arm PRBT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-resources-prbt-support//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
